Name:           python-pdb2pqr
Version:        3.7.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Automates many of the common tasks of preparing structures for continuum solvation calculations as well as many other types of biomolecular structure modeling, analysis, and simulation.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.poissonboltzmann.org
Source:         %{pypi_source pdb2pqr}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pdb2pqr' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pdb2pqr
Summary:        %{summary}

%description -n python3-pdb2pqr %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pdb2pqr dev,test


%prep
%autosetup -p1 -n pdb2pqr-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pdb2pqr -f %{pyproject_files}


%changelog
%autochangelog